# Poco::XML

# class EventException

Library: XML
Package: DOM
Header: Poco/DOM/EventException.h

## Description

Event operations may throw an EventException as specified in their method descriptions.

## Inheritance

Direct Base Classes: XMLException

All Base Classes: Poco::Exception, Poco::RuntimeException, XMLException, std::exception

## Member Summary

Member Functions: className, clone, code, name, operator =

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Enumerations

### Anonymous

UNSPECIFIED_EVENT_TYPE_ERR = 0

If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

## Constructors

### EventException

EventException(
int code
);

Creates an EventException with the given error code.

### EventException

EventException(
const EventException & exc
);

Creates an EventException by copying another one.

## Destructor

### ~EventException

~EventException();

Destroys the EventException.

## Member Functions

### className

const char * className() const;

Returns the name of the exception class.

See also: Poco::XML::XMLException::className()

### code

unsigned short code() const;

Returns the Event exception code.

### name

const char * name() const;

Returns a static string describing the exception.

See also: Poco::XML::XMLException::name()

### operator =

EventException & operator = (
const EventException & exc
);

### clone

Poco::Exception * clone() const;